Movies
Get list of streaming providers for a movie
GET
/
movies
/
{movie_id}
/
providers
Get list of streaming providers for a movie
curl --request GET \
--url https://api.example.com/movies/{movie_id}/providersimport requests
url = "https://api.example.com/movies/{movie_id}/providers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/movies/{movie_id}/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country": {
"code": "<string>",
"name": "<string>"
},
"buy": [],
"rent": [],
"flatrate": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Path Parameters
Unique Identifier of a movie.
Query Parameters
Country Code
Response
Providers · object | null
Successful Response
Providers that offer the movie. Either for streaming, for rent or to buy.
Show child attributes
Show child attributes
List of providers that offer to buy the movie.
Show child attributes
Show child attributes
List of providers that offer to rent the movie.
Show child attributes
Show child attributes
List of providers that offer to stream the movie.
Show child attributes
Show child attributes
⌘I
Get list of streaming providers for a movie
